use reqwest::Client as HttpClient;
use std::{error::Error, result::Result as StdResult};
use urbandictionary::Client;

type Result<T> = StdResult<T, Box<dyn Error + Send + Sync>>;

#[ignore]
#[tokio::test]
async fn test_define() -> Result<()> {
    let resp = Client::new(HttpClient::new()).define("england").await?;

    assert!(resp.is_some());

    Ok(())
}

#[ignore]
#[tokio::test]
async fn test_definitions() -> Result<()> {
    let resp = Client::new(HttpClient::new())
        .definitions("england")
        .await?;

    assert!(!resp.definitions.is_empty());

    Ok(())
}
